---
title: Edit CSS filters
slug: Tools/Page_Inspector/How_to/Edit_CSS_filters
tags:
  - CSS
  - DevTools
  - Filters
  - Page Inspector
  - Tools
---
<div>{{ToolsSidebar}}</div>

<p><a href="/en-US/docs/Web/CSS/filter">CSS </a><code><a href="/en-US/docs/Web/CSS/filter">filter</a></code> properties in the <a href="/en-US/docs/Tools/Page_Inspector/UI_Tour#Rules_view">Rules view</a> have a circular gray and white swatch next to them:</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/16454/click_to_edit_filter.png" style="border: 1px solid black; display: block; height: 146px; margin-left: auto; margin-right: auto; width: 366px;"></p>

<p>Clicking the swatch opens a filter editor:</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/16455/css_filter_edit.png" style="display: block; height: 256px; margin-left: auto; margin-right: auto; width: 576px;">The filter editor lists each of the effects performed by that filter on a separate line. You can edit these lines, remove them individually, or drag the effects to change the order in which they are applied.</p>

<p>You can also add new effects by selecting an effect from the dropdown list at the bottom of the dialog. Once you have selected the effect you want to add, click the plus sign (+) to the right of the dropdown list.</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/16457/edit_filter_settings.png" style="display: block; height: 255px; margin: 0px auto; width: 520px;"></p>

<p>Once you have added an effect, enter the settings you want and then press <kbd>Enter</kbd> to update the effect. The change will be apparent as soon as youpress <kbd>Enter</kbd>.</p>

<h2 id="Saving_filter_presets">Saving filter presets</h2>

<p>From Firefox 42 onwards, you can also add filters to a list of presets. The list of presets will be preserved between browser sessions, making it easy to apply the settings in the future. You can save the current filter to the preset list:</p>

<ol>
 <li>Click to edit the filter, display the preset list by clicking the icon as shown below.</li>
 <li>Type a name for your preset, and then click the plus sign to add it to the list of presets.</li>
</ol>

<p><img alt="" src="https://mdn.mozillademos.org/files/16458/filter_presets.png" style="display: block; height: 240px; margin-left: auto; margin-right: auto; width: 530px;">You can then apply saved filters to new elements. To apply one of your saved presets, click its name in the list.</p>
